com.amazonaws.services.simpleworkflow.model

## Class LambdaFunctionScheduledEventAttributes

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.LambdaFunctionScheduledEventAttributes

All Implemented Interfaces:
  Serializable, Cloneable

    public class LambdaFunctionScheduledEventAttributes
    extends Object
    implements Serializable, Cloneable

Provides details for the `LambdaFunctionScheduled` event.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`LambdaFunctionScheduledEventAttributes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`LambdaFunctionScheduledEventAttributes` `clone()`
`boolean` `equals(Object obj)`
`Long` `getDecisionTaskCompletedEventId()` The ID of the `DecisionTaskCompleted` event for the decision that resulted in the scheduling of this AWS Lambda function.
`String` `getId()` The unique Amazon SWF ID for the AWS Lambda task.
`String` `getInput()` Input provided to the AWS Lambda function.
`String` `getName()` The name of the scheduled AWS Lambda function.
`String` `getStartToCloseTimeout()` The maximum time, in seconds, that the AWS Lambda function can take to execute from start to close before it is marked as failed.
`int` `hashCode()`
`void` `setDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)` The ID of the `DecisionTaskCompleted` event for the decision that resulted in the scheduling of this AWS Lambda function.
`void` `setId(String id)` The unique Amazon SWF ID for the AWS Lambda task.
`void` `setInput(String input)` Input provided to the AWS Lambda function.
`void` `setName(String name)` The name of the scheduled AWS Lambda function.
`void` `setStartToCloseTimeout(String startToCloseTimeout)` The maximum time, in seconds, that the AWS Lambda function can take to execute from start to close before it is marked as failed.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`LambdaFunctionScheduledEventAttributes` `withDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)` The ID of the `DecisionTaskCompleted` event for the decision that resulted in the scheduling of this AWS Lambda function.
`LambdaFunctionScheduledEventAttributes` `withId(String id)` The unique Amazon SWF ID for the AWS Lambda task.
`LambdaFunctionScheduledEventAttributes` `withInput(String input)` Input provided to the AWS Lambda function.
`LambdaFunctionScheduledEventAttributes` `withName(String name)` The name of the scheduled AWS Lambda function.
`LambdaFunctionScheduledEventAttributes` `withStartToCloseTimeout(String startToCloseTimeout)` The maximum time, in seconds, that the AWS Lambda function can take to execute from start to close before it is marked as failed.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LambdaFunctionScheduledEventAttributes

    public LambdaFunctionScheduledEventAttributes()

### Method Detail

#### setId

    public void setId(String id)

The unique Amazon SWF ID for the AWS Lambda task.

Parameters:
  `id` - The unique Amazon SWF ID for the AWS Lambda task.

#### getId

    public String getId()

The unique Amazon SWF ID for the AWS Lambda task.

Returns:
  The unique Amazon SWF ID for the AWS Lambda task.

#### withId

    public LambdaFunctionScheduledEventAttributes withId(String id)

The unique Amazon SWF ID for the AWS Lambda task.

Parameters:
  `id` - The unique Amazon SWF ID for the AWS Lambda task.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setName

    public void setName(String name)

The name of the scheduled AWS Lambda function.

Parameters:
  `name` - The name of the scheduled AWS Lambda function.

#### getName

    public String getName()

The name of the scheduled AWS Lambda function.

Returns:
  The name of the scheduled AWS Lambda function.

#### withName

    public LambdaFunctionScheduledEventAttributes withName(String name)

The name of the scheduled AWS Lambda function.

Parameters:
  `name` - The name of the scheduled AWS Lambda function.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setInput

    public void setInput(String input)

Input provided to the AWS Lambda function.

Parameters:
  `input` - Input provided to the AWS Lambda function.

#### getInput

    public String getInput()

Input provided to the AWS Lambda function.

Returns:
  Input provided to the AWS Lambda function.

#### withInput

    public LambdaFunctionScheduledEventAttributes withInput(String input)

Input provided to the AWS Lambda function.

Parameters:
  `input` - Input provided to the AWS Lambda function.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStartToCloseTimeout

    public void setStartToCloseTimeout(String startToCloseTimeout)

The maximum time, in seconds, that the AWS Lambda function can take to execute from start to close before it is marked as failed.

Parameters:
  `startToCloseTimeout` - The maximum time, in seconds, that the AWS Lambda function can take to execute from start to close before it is marked as failed.

#### getStartToCloseTimeout

    public String getStartToCloseTimeout()

The maximum time, in seconds, that the AWS Lambda function can take to execute from start to close before it is marked as failed.

Returns:
  The maximum time, in seconds, that the AWS Lambda function can take to execute from start to close before it is marked as failed.

#### withStartToCloseTimeout

    public LambdaFunctionScheduledEventAttributes withStartToCloseTimeout(String startToCloseTimeout)

The maximum time, in seconds, that the AWS Lambda function can take to execute from start to close before it is marked as failed.

Parameters:
  `startToCloseTimeout` - The maximum time, in seconds, that the AWS Lambda function can take to execute from start to close before it is marked as failed.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDecisionTaskCompletedEventId

    public void setDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)

The ID of the `DecisionTaskCompleted` event for the decision that resulted in the scheduling of this AWS Lambda function. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `decisionTaskCompletedEventId` - The ID of the `DecisionTaskCompleted` event for the decision that resulted in the scheduling of this AWS Lambda function. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### getDecisionTaskCompletedEventId

    public Long getDecisionTaskCompletedEventId()

The ID of the `DecisionTaskCompleted` event for the decision that resulted in the scheduling of this AWS Lambda function. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Returns:
  The ID of the `DecisionTaskCompleted` event for the decision that resulted in the scheduling of this AWS Lambda function. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### withDecisionTaskCompletedEventId

    public LambdaFunctionScheduledEventAttributes withDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)

The ID of the `DecisionTaskCompleted` event for the decision that resulted in the scheduling of this AWS Lambda function. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `decisionTaskCompletedEventId` - The ID of the `DecisionTaskCompleted` event for the decision that resulted in the scheduling of this AWS Lambda function. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public LambdaFunctionScheduledEventAttributes clone()

Overrides:
  `clone` in class `Object`